#ifndef AUSERMESSAGEHANDLER_HPP
#define AUSERMESSAGEHANDLER_HPP
/******************************************************************************/

#include <ihandler.hpp>

/******************************************************************************/
/* Class   : AUserMessageHandler                                              */
/*                                                                            */
/******************************************************************************/
class AUserMessageHandler : public IHandler
{
  public:
    AUserMessageHandler( unsigned long uwmId )
      : userMessageId( uwmId ) {;}
  Boolean
    dispatchHandlerEvent( IEvent& evt );

  protected:
    virtual Boolean
       userMessage( IEvent& evt ) { return false; }

  private:
    unsigned long   userMessageId;
};

#endif
