/*---------Class definitions for File Directory Class ------*/

#define INCL_DOSFILEMGR
#define INCL_DOSERRORS
#include <os2/os2.h>

//**********************************************************
//  File Directory Class                                  **
//**********************************************************

class fileDir : public IBase
{
  public:
    fileDir (char *path);                       //constructor
    ~fileDir();                                 //destructor
    Boolean dirNext(char *fName);
    void    dirClose();

  protected:

  private:
    Boolean          bOpen;
    HDIR             hDirHandle;
    FILEFINDBUF3     findBuf;
    ULONG            ulFindBufLen;
    ULONG            ulFindCount;
    APIRET           rc;
 };
