
.SUFFIXES:

.SUFFIXES: .c .cpp .cxx .rc

CFLAGS = /Gm /Gd /C
LFLAGS = /B" /pmtype:pm" /Fe"mainwnd.exe"

!IFDEF DEBUG
CFLAGS = /Gm /Gd /C /Ti+
LFLAGS = /B" /pmtype:pm /De" /Fe"mainwnd.exe"
!ENDIF

ALL: MAINWND.EXE \
     MAINWND.RES

MAINWND.EXE: \
  MAINWND.OBJ  MLTWAVE.OBJ AUWMHDR.OBJ  FDIR.OBJ \
  MAINWND.RES \
  MAINWND.MAK
   ICC.EXE @<<
$(LFLAGS)
MAINWND.OBJ MLTWAVE.OBJ  AUWMHDR.OBJ  FDIR.OBJ
<<
  RC MAINWND.RES MAINWND.EXE

mainwnd.obj: mainwnd.cpp mainwnd.hpp mainwnd.h
   icc $(CFLAGS)       mainwnd.cpp

mltwave.obj: mltwave.cpp mltwave.hpp mltwave.h
   icc $(CFLAGS)       mltwave.cpp

auwmhdr.obj: auwmhdr.cpp auwmhdr.hpp
   icc $(CFLAGS)       auwmhdr.cpp

fdir.obj: fdir.cpp fdir.hpp
   icc $(CFLAGS)       fdir.cpp

mainwnd.res: mainwnd.rc
   RC -r mainwnd.rc

{.}.rc.res:
   RC -r .\$*.RC

{.}.cpp.obj:
   ICC.EXE /Gm /Gd /C       .\$*.cpp

{.}.ipf.hlp:
   IPFC    .\$*.ipf

